
@charset "UTF-8";
/* Указываем box sizing */
*,
*::before,
*::after {
  box-sizing: border-box;
}

/* Убираем внутренние отступы */
ul[class],
ol[class] {
  padding: 0;
}

/* Убираем внешние отступы */
body,
h1,
h2,
h3,
h4,
p,
ul[class],
ol[class],
li,
figure,
figcaption,
blockquote,
dl,
dd {
  margin: 0;
}

/* Выставляем основные настройки по-умолчанию для body */
body {
  min-height: 100vh;
  scroll-behavior: smooth;
  text-rendering: optimizeSpeed;
  line-height: 1.5;
}

/* Удаляем стандартную стилизацию для всех ul и il, у которых есть атрибут class*/
ul[class],
ol[class] {
  list-style: none;
}

/* Элементы a, у которых нет класса, сбрасываем до дефолтных стилей */
a:not([class]) {
  text-decoration-skip-ink: auto;
}

a {
  text-decoration: none;
}

/* Упрощаем работу с изображениями */
img {
  max-width: 100%;
  display: block;
}

/* Указываем понятную периодичность в потоке данных у article*/
article > * + * {
  margin-top: 1em;
}

/* Наследуем шрифты для инпутов и кнопок */
input,
button,
textarea,
select {
  font: inherit;
}

/* Удаляем все анимации и переходы для людей, которые предпочитай их не использовать */
@media (prefers-reduced-motion: reduce) {
  * {
    animation-duration: 0.01ms !important;
    animation-iteration-count: 1 !important;
    transition-duration: 0.01ms !important;
    scroll-behavior: auto !important;
  }
}
body {
  background: rgba(0, 149, 95, 0.15);
  font-size: 18px;
  color: #042D3A;
  font-family: montserrat;
  min-width: 340px;
}

@font-face {
  font-family: montserrat;
  src: url("../fonts/Montserrat/static/Montserrat-Regular.ttf");
  font-style: 400;
  font-weight: 400;
}
.after::after {
  content: "";
  position: absolute;
  width: 50%;
  height: 2px;
  display: block;
  left: 50%;
  transform: translateX(-50%);
  bottom: -20px;
  background: #00955F;
}

form {
  display: flex;
  flex-direction: column;
  padding-top: 30px;
}
form input {
  margin: 7px 0;
  padding: 3px;
}
form label {
  margin: 7px 0;
  padding: 3px;
}
form label span {
  padding-left: 20px;
}
form button {
  margin: 7px 0;
  padding: 3px;
}

.container {
  width: 1200px;
  max-width: 100%;
  margin: 0 auto;
  padding: 0 30px;
}

.absolute {
  position: absolute;
}

.relative {
  position: relative;
}

.flex {
  display: flex;
}

.right-side, .left-side {
  display: flex;
}

.right-side {
  padding-top: 5px;
}

.column {
  flex-direction: column;
}

.vertical-center {
  display: flex;
  align-items: center;
}

.hide {
  display: none !important;
}

.show {
  opacity: 1 !important;
  display: flex !important;
}

.header {
  display: flex;
  justify-content: center;
  text-align: center;
  padding-top: 47px;
  padding-bottom: 81px;
  height: 50px;
}
.header h1 {
  text-transform: uppercase;
  color: #00955F;
  font-family: montserrat;
  font-size: 20px;
}
@media (min-width: 768px) {
  .header h1 {
    font-size: 28px;
  }
}
.header__title {
  width: 83%;
}
.header__search {
  right: 0px;
  display: flex;
  align-items: center;
  top: 15px;
}
@media (min-width: 1200px) {
  .header__search {
    right: 0;
  }
}
.header__search img {
  width: 30px;
  height: 30px;
  cursor: pointer;
  z-index: 1;
}
.header__search .search {
  width: 0;
  border: 0;
  background: transparent;
  display: none;
  transition: all 0.3s;
  position: relative;
  outline: hidden;
}

.search.active {
  width: 200px;
  padding: 5px;
  display: block;
  background: #fff;
  transition: all 0.3s;
  right: -30px;
}

.description {
  text-align: center;
  line-height: 1.6;
  font-size: 16px;
}
@media (min-width: 992px) {
  .description {
    font-size: 18px;
  }
}

.catalog {
  padding-top: 81px;
  display: flex;
  flex-direction: column;
}
.catalog__title {
  height: 50px;
  justify-content: center;
  align-items: flex-end;
  color: #00955F;
  letter-spacing: 6px;
}
.catalog__title h2 {
  height: inherit;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 20px;
}
@media (min-width: 768px) {
  .catalog__title h2 {
    font-size: 28px;
  }
}
.catalog__title-img {
  top: -60px;
  height: 100%;
}

.catalog__list {
  display: flex;
  flex-wrap: wrap;
  padding-top: 80px;
  justify-content: space-between;
}

.song {
  display: flex;
  justify-content: space-between;
  width: 100%;
  padding-top: 20px;
}
@media (min-width: 768px) {
  .song {
    flex: 0 0 26%;
    max-width: 30%;
  }
}
.song__name h4 {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  font-size: 18px;
  white-space: break-spaces;
}
@media (min-width: 768px) {
  .song__name h4 {
    font-size: 20px;
  }
}
.song__name p {
  font-size: 12px;
}
@media (min-width: 768px) {
  .song__name p {
    font-size: 16px;
  }
}

.song__bpm {
  padding-right: 5px;
}

.attention {
  opacity: 0;
  display: none;
  width: 100%;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}
.attention p {
  color: #F32D20;
  font-size: 20px;
  font-weight: bold;
}
.attention h3 {
  color: #00955F;
  font-weight: bold;
  font-size: 28px;
}



/*metronome*/

.hidden{
    display:none;
}

.lit {
    text-shadow: #095ab0 1px 0 10px;
}


/*buttons*/

.block {
	z-index: 20;
	width: fit-content;
	width: 20px;
	height: 20px;
	right: 30px;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
}

.triangle_right {
	border-top: 10px solid transparent;
	border-left: 15px solid #ff5a00;
	border-bottom: 10px solid transparent;
	position: relative;
}

.triangle_right {
	position: absolute;
	top: 0;
}

.triangle_copy {
	position: absolute;
	width: 10px;
	height: 20px;
	background: #ff5a00;
	display: block;
	top: 0;
	opacity: 0;
}

.triangle_copy.active {
	animation: pause 400ms forwards;
	animation-delay: 400ms;
}

/*# sourceMappingURL=main.css.map */
